com.informix.csm

## Class IfxCss

- java.lang.Object
- - com.informix.csm.IfxCss

    public class IfxCss
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IfxCss(java.io.InputStream in, java.io.OutputStream out, java.lang.String csmInfo, java.lang.String clientLocale, IfxCsm.Credentials creds)`
`IfxCss(java.net.Socket soc, java.lang.String csmInfo, java.lang.String clientLocale, IfxCsm.Credentials creds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createContext()`
`java.io.FilterInputStream` `getIfxCssInputStream()`
`java.io.FilterOutputStream` `getIfxCssOutputStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxCss

    public IfxCss(java.net.Socket soc,
                  java.lang.String csmInfo,
                  java.lang.String clientLocale,
                  IfxCsm.Credentials creds)
           throws IfxCSSException

Throws:
  `IfxCSSException`

#### IfxCss

    public IfxCss(java.io.InputStream in,
                  java.io.OutputStream out,
                  java.lang.String csmInfo,
                  java.lang.String clientLocale,
                  IfxCsm.Credentials creds)
           throws IfxCSSException

Throws:
  `IfxCSSException`

### Method Detail

#### createContext

    public void createContext()
                       throws IfxCSSException

Throws:
  `IfxCSSException`

#### getIfxCssInputStream

    public java.io.FilterInputStream getIfxCssInputStream()
                                                   throws IfxCSSException

Throws:
  `IfxCSSException`

#### getIfxCssOutputStream

    public java.io.FilterOutputStream getIfxCssOutputStream()
                                                     throws IfxCSSException

Throws:
  `IfxCSSException`